Attribute VB_Name = "TUSBKDA"
'-----------------------------------------------
'API for TUSB-K01DA Driver
'Visual Basic 6 Module
'
'Dec. 20 2006
'Copyright (C) 2006 Turtle Industry Co.,Ltd.
'-----------------------------------------------

Declare Sub TUSBK01DA_Load Lib "TUSBKDA.DLL" ()
Declare Sub TUSBK01DA_Unload Lib "TUSBKDA.DLL" ()
Declare Function TUSBK01DA_Chk Lib "TUSBKDA.DLL" (ByVal Id As Integer) As Integer
Declare Function TUSBK01DA_DacOut Lib "TUSBKDA.DLL" (ByVal Id As Integer, ByVal data As Integer) As Integer
Declare Function TUSBK01DA_IntClk Lib "TUSBKDA.DLL" (ByVal clk As Long) As Double
Declare Function TUSBK01DA_Da_Start Lib "TUSBKDA.DLL" (ByVal Id As Integer, ByVal clk As Long, ByVal dLen As Integer) As Integer
Declare Function TUSBK01DA_Da_Stop Lib "TUSBKDA.DLL" (ByVal Id As Integer) As Integer
Declare Function TUSBK01DA_Da_Status Lib "TUSBKDA.DLL" (ByVal Id As Integer, ByRef Status As Byte) As Integer
Declare Function TUSBK01DA_Data_Set Lib "TUSBKDA.DLL" (ByVal Id As Integer, ByRef data As Integer, ByVal Leng As Integer) As Integer
Declare Function TUSBK01DA_ExtTimer Lib "TUSBKDA.DLL" (ByVal clk As Long) As Double
Declare Function TUSBK01DA_ExtTimer_Set Lib "TUSBKDA.DLL" (ByVal Id As Integer, ByVal clk As Long) As Integer
Declare Function TUSBK01DA_DIO_Dir Lib "TUSBKDA.DLL" (ByVal Id As Integer, ByVal b As Byte, ByVal direction As Byte) As Integer
Declare Function TUSBK01DA_DIO_Out Lib "TUSBKDA.DLL" (ByVal Id As Integer, ByVal b As Byte, ByVal data As Byte) As Integer
Declare Function TUSBK01DA_DIO_In Lib "TUSBKDA.DLL" (ByVal Id As Integer, ByRef data As Byte) As Integer
Declare Function TUSBK01DA_DIO_Status Lib "TUSBKDA.DLL" (ByVal Id As Integer, ByRef data As Byte) As Integer

' Error Message
Public Function TUSBK01DA_ErrorDisp(ByVal ErrCode As Integer)
    Dim str As String
    
    Select Case ErrCode
    Case 0
        str = "ɏI܂"
    Case 2
        str = "hCoĂ܂"
    Case 6
        str = "foCX܂ł"
    Case 8
        str = "p[^G["
    Case 9
        str = "USBʐMG["
    Case Else
        str = "sȃG[ł"
    End Select
    
    MsgBox (str)
End Function

