Public Class MainForm
    Inherits System.Windows.Forms.Form

#Region " Windows tH[ fUCiŐꂽR[h "

    Public Sub New()
        MyBase.New()

        ' ̌Ăяo Windows tH[ fUCiŕKvłB
        InitializeComponent()

        ' InitializeComponent() Ăяǒɏǉ܂B

    End Sub

    ' Form  dispose I[o[ChăR|[lgꗗ܂B
    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub

    ' Windows tH[ fUCiŕKvłB
    Private components As System.ComponentModel.IContainer

    '  : ȉ̃vV[ẂAWindows tH[ fUCiŕKvłB
    ' Windows tH[ fUCigĕύXĂB  
    ' R[h GfB^͎gpȂłB
    Friend WithEvents EndBtn As System.Windows.Forms.Button
    Friend WithEvents Timer1 As System.Timers.Timer
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
        Me.EndBtn = New System.Windows.Forms.Button()
        Me.Timer1 = New System.Timers.Timer()
        CType(Me.Timer1, System.ComponentModel.ISupportInitialize).BeginInit()
        Me.SuspendLayout()
        '
        'EndBtn
        '
        Me.EndBtn.Location = New System.Drawing.Point(88, 24)
        Me.EndBtn.Name = "EndBtn"
        Me.EndBtn.Size = New System.Drawing.Size(120, 40)
        Me.EndBtn.TabIndex = 0
        Me.EndBtn.Text = "I"
        '
        'Timer1
        '
        Me.Timer1.Enabled = True
        Me.Timer1.SynchronizingObject = Me
        '
        'MainForm
        '
        Me.AutoScaleBaseSize = New System.Drawing.Size(5, 12)
        Me.ClientSize = New System.Drawing.Size(304, 94)
        Me.Controls.AddRange(New System.Windows.Forms.Control() {Me.EndBtn})
        Me.Name = "MainForm"
        Me.Text = "TUSB-K01DA Sample Plogram"
        CType(Me.Timer1, System.ComponentModel.ISupportInitialize).EndInit()
        Me.ResumeLayout(False)

    End Sub

#End Region
    '-----------------------------------------------
    'TUSB-K01DA Sample Program
    'Visual Basic .NET Source codes
    '
    'Mar. 28 2007
    'Copyright (C) 2007 Turtle Industry Co.,Ltd.
    '-----------------------------------------------

    Private DevStatus(15) As Boolean ' Device Connection Flag TRUE : connecting
    Private IdDevForm(15) As DevForm ' Device Control Panel Form Object

    Private Sub EndBtn_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles EndBtn.Click
        Dim DevId As Short

        Timer1.Enabled = False

        For DevId = 0 To 15
            If DevStatus(DevId) = True Then 'Device is connected
                IdDevForm(DevId).Visible = False
                DevStatus(DevId) = False
            End If
        Next DevId

        Me.Close()
    End Sub

    Private Sub MainForm_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim DevId As Short

        TUSBK01DA_Load() 'Driver Load

        'Initialize
        For DevId = 0 To 15
            DevStatus(DevId) = False 'Device is not Connected
            IdDevForm(DevId) = New DevForm() 'Device Control Panel Form Create
        Next DevId

        ' Timer Start
        Timer1.Interval = 500
        Timer1.Enabled = True
    End Sub

    Private Sub MainForm_Closed(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Closed
        Dim DevId As Short

        Timer1.Enabled = False ' Timer Disable

        For DevId = 0 To 15
            IdDevForm(DevId) = Nothing ' Device Control Panel Unload
        Next DevId

        TUSBK01DA_Unload() ' Driver Unload
    End Sub

    ' Device Control Panel Open
    Private Sub OpenPanel(ByVal Id As Short)
        IdDevForm(Id).SetId(Id)
        IdDevForm(Id).Show() ' Form Show
        DevStatus(Id) = True
    End Sub

    Private Sub Timer1_Elapsed(ByVal sender As System.Object, ByVal e As System.Timers.ElapsedEventArgs) Handles Timer1.Elapsed
        Dim DevId As Short

        For DevId = 0 To 15
            If DevStatus(DevId) = False Then ' Device is not connected
                If TUSBK01DA_Chk(DevId) = 0 Then ' Connection check
                    OpenPanel(DevId) '
                End If
            Else 'Device is connected
                If IdDevForm(DevId).Visible = False Then ' Device is not visible
                    DevStatus(DevId) = False
                End If
            End If
        Next DevId
    End Sub
End Class
