Option Strict Off
Option Explicit On
Module TUSBKDA
	'-----------------------------------------------
	'API for TUSB-K01DA Driver
    'Visual Basic .NET Module
	'
    'Mar. 28 2007
    'Copyright (C) 2007 Turtle Industry Co.,Ltd.
	'-----------------------------------------------
	
	Declare Sub TUSBK01DA_Load Lib "TUSBKDA.DLL" ()
	Declare Sub TUSBK01DA_Unload Lib "TUSBKDA.DLL" ()
	Declare Function TUSBK01DA_Chk Lib "TUSBKDA.DLL" (ByVal Id As Short) As Short
	Declare Function TUSBK01DA_DacOut Lib "TUSBKDA.DLL" (ByVal Id As Short, ByVal data As Short) As Short
	Declare Function TUSBK01DA_IntClk Lib "TUSBKDA.DLL" (ByVal clk As Integer) As Double
	Declare Function TUSBK01DA_Da_Start Lib "TUSBKDA.DLL" (ByVal Id As Short, ByVal clk As Integer, ByVal dLen As Short) As Short
	Declare Function TUSBK01DA_Da_Stop Lib "TUSBKDA.DLL" (ByVal Id As Short) As Short
	Declare Function TUSBK01DA_Da_Status Lib "TUSBKDA.DLL" (ByVal Id As Short, ByRef Status As Byte) As Short
    Declare Function TUSBK01DA_Data_Set Lib "TUSBKDA.DLL" (ByVal Id As Short, ByRef data As Short, ByVal Leng As Short) As Short
	Declare Function TUSBK01DA_ExtTimer Lib "TUSBKDA.DLL" (ByVal clk As Integer) As Double
	Declare Function TUSBK01DA_ExtTimer_Set Lib "TUSBKDA.DLL" (ByVal Id As Short, ByVal clk As Integer) As Short
	Declare Function TUSBK01DA_DIO_Dir Lib "TUSBKDA.DLL" (ByVal Id As Short, ByVal b As Byte, ByVal direction As Byte) As Short
	Declare Function TUSBK01DA_DIO_Out Lib "TUSBKDA.DLL" (ByVal Id As Short, ByVal b As Byte, ByVal data As Byte) As Short
	Declare Function TUSBK01DA_DIO_In Lib "TUSBKDA.DLL" (ByVal Id As Short, ByRef data As Byte) As Short
	Declare Function TUSBK01DA_DIO_Status Lib "TUSBKDA.DLL" (ByVal Id As Short, ByRef data As Byte) As Short
	
	' Error Message
	Public Function TUSBK01DA_ErrorDisp(ByVal ErrCode As Short) As Object
        Dim message As String

        Select Case ErrCode
            Case 0
                message = "ɏI܂"
            Case 2
                message = "hCoĂ܂"
            Case 6
                message = "foCX܂ł"
            Case 8
                message = "p[^G["
            Case 9
                message = "USBʐMG["
            Case Else
                message = "sȃG[ł"
        End Select

        MsgBox(message)
	End Function
End Module